org.apache.ignite.ml.math.distances

## Class EuclideanDistance

- java.lang.Object
- - org.apache.ignite.ml.math.distances.EuclideanDistance

- All Implemented Interfaces:
    Externalizable, Serializable, DistanceMeasure

      public class EuclideanDistance
      extends Object
      implements DistanceMeasure

  Calculates the L2 (Euclidean) distance between two points.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EuclideanDistance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `compute(Vector a, double[] b)` Compute the distance between n-dimensional vector and n-dimensional array.
    `double` | `compute(Vector a, Vector b)` Compute the distance between two n-dimensional vectors.
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.math.distances.DistanceMeasure

      `readExternal, writeExternal`

- - ### Constructor Detail

    - #### EuclideanDistance

          public EuclideanDistance()

  - ### Method Detail

    - #### compute

          public double compute(Vector a,
                                Vector b)
                         throws CardinalityException

      Compute the distance between two n-dimensional vectors.

      The two vectors are required to have the same dimension.

      Specified by:
        `compute` in interface `DistanceMeasure`
      Parameters:
        `a` - The first vector.
        `b` - The second vector.
      Returns:
        The distance between the two vectors.
      Throws:
        `CardinalityException` - if the array lengths differ.

    - #### compute

          public double compute(Vector a,
                                double[] b)
                         throws CardinalityException

      Compute the distance between n-dimensional vector and n-dimensional array.

      The two data structures are required to have the same dimension.

      Specified by:
        `compute` in interface `DistanceMeasure`
      Parameters:
        `a` - The vector.
        `b` - The array.
      Returns:
        The distance between vector and array.
      Throws:
        `CardinalityException` - if the data structures lengths differ.

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021